Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.content.generic
Class InternalGenericContentProvider

    java.lang.Object
      org.jboss.portal.core.impl.model.content.InternalContentProvider
          org.jboss.portal.core.impl.model.content.generic.InternalGenericContentProvider

All Implemented Interfaces:
  ContentHandler, ContentRenderer

Direct Known Subclasses:
  InternalCMSContentProvider

    public class InternalGenericContentProvider

extends InternalContentProvider
implements ContentHandler

Version:
  $Revision: 9006 $
Author:
  Julien Viet

Field Summary
`protected ContentPortlet` | `contentPortlet` .
`protected boolean` | `decorateContent` .
`protected InstanceContainer` | `instanceContainer` .

Constructor Summary
`InternalGenericContentProvider()`

Method Summary
`void` | `contentCreated(java.lang.String contextId, ContentState state)` Life cycle method to signal state creation.
`void` | `contentDestroyed(java.lang.String contextId, ContentState state)` Life cycle method to signal state destruction.
`protected ContentProvider` | `createProvider()`
`ContentPortlet` | `getContentPortletInfo()`
`boolean` | `getDecorateContent()`
`InstanceContainer` | `getInstanceContainer()`
`protected Instance` | `getPortletInstance(ContentRendererContext rendererContext)` Returns the portlet instance to render view mode.
`Content` | `newContent(java.lang.String contextId, ContentState state)` Factory method that creates an instance of content object.
`WindowRendition` | `renderWindow(ContentRendererContext rendererContext)`
`void` | `setContentPortletInfo(ContentPortlet contentPortlet)`
`void` | `setDecorateContent(boolean decorateContent)`
`void` | `setInstanceContainer(InstanceContainer instanceContainer)`

Methods inherited from class org.jboss.portal.core.impl.model.content.InternalContentProvider
`getContentType, getPortalAuthorizationManagerFactory, getRegisteredContentType, getRegistry, setContentType, setPortalAuthorizationManagerFactory, setRegistry, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instanceContainer

    protected InstanceContainer instanceContainer

  .

### decorateContent

    protected boolean decorateContent

  .

### contentPortlet

    protected ContentPortlet contentPortlet

  .

Constructor Detail

### InternalGenericContentProvider

    public InternalGenericContentProvider()

Method Detail

### getInstanceContainer

    public InstanceContainer getInstanceContainer()

### setInstanceContainer

    public void setInstanceContainer(InstanceContainer instanceContainer)

### getContentPortletInfo

    public ContentPortlet getContentPortletInfo()

### setContentPortletInfo

    public void setContentPortletInfo(ContentPortlet contentPortlet)

### getDecorateContent

    public boolean getDecorateContent()

### setDecorateContent

    public void setDecorateContent(boolean decorateContent)

### createProvider

    protected ContentProvider createProvider()

  Specified by:
    `createProvider` in class `InternalContentProvider`

### newContent

    public Content newContent(java.lang.String contextId,
                              ContentState state)

  Description copied from interface: `ContentHandler`
  Factory method that creates an instance of content object. This method is called whenever the frameworks needs a runtime representation of the content state which can be used at runtime by content clients.

  Specified by:
    `newContent` in interface `ContentHandler`
  Parameters:
    `contextId` - the context id in which the state is used
    `state` - the state
  Returns:
    the content interface implementation

### getPortletInstance

    protected Instance getPortletInstance(ContentRendererContext rendererContext)

  Description copied from class: `InternalContentProvider`
  Returns the portlet instance to render view mode.

  Specified by:
    `getPortletInstance` in class `InternalContentProvider`
  Returns:
    the portlet instance for the view mode

### contentCreated

    public void contentCreated(java.lang.String contextId,
                               ContentState state)

  Description copied from interface: `ContentHandler`
  Life cycle method to signal state creation.

  Specified by:
    `contentCreated` in interface `ContentHandler`
  Parameters:
    `contextId` - the context id in which the state is created
    `state` - the state

### contentDestroyed

    public void contentDestroyed(java.lang.String contextId,
                                 ContentState state)

  Description copied from interface: `ContentHandler`
  Life cycle method to signal state destruction.

  Specified by:
    `contentDestroyed` in interface `ContentHandler`
  Parameters:
    `contextId` - the context id in which the state is destroyed
    `state` - the state

### renderWindow

    public WindowRendition renderWindow(ContentRendererContext rendererContext)

  Specified by:
    `renderWindow` in interface `ContentRenderer`
  Overrides:
    `renderWindow` in class `InternalContentProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD